Skip to main content
DELETE
/
v3
/
authentication
/
api-keys
/
{apiKeyId}
Delete API key
curl --request DELETE \
  --url https://api.snappy.com/public-api/v3/authentication/api-keys/{apiKeyId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Product not found.",
  "errorCode": "404_PROD_001",
  "errors": [
    {
      "message": "Product with id 'q1w2e3r4t5' was not found",
      "path": "pathParameters.productId",
      "errorCode": "404_PROD_001"
    }
  ]
}

Authorizations

Authorization
string
header
required

User Bearer Authentication

Use a dashboard user JWT in the Authorization header when managing API keys from the Snappy dashboard:

Authorization: Bearer YOUR_JWT

For multi-company users, also pass Snappy-Company-Id to select the target company.

Headers

snappy-account-id
string

Optional account identifier for swag validation/filtering.

Example:

"acc123456"

snappy-company-id
string

Optional company identifier for swag validation/filtering.

Example:

"cmp123456"

Path Parameters

apiKeyId
string
required

The API key id.

Pattern: ^[a-fA-F0-9]{24}$
Example:

"4a7f2b9C1E3d8f0A9B6c4D2e"

Response

No Content

Last modified on June 17, 2026